# Zend_Application_Resource_Useragent

## Overview

This resource provides the ability to configure and instantiate Zend_Http_UserAgent for use within your application.

## Quick Start

Using `Zend_Http_UserAgent`, including usage of the application resource, is covered in the UserAgent quick start. Below is a quick summary of typical options you might provide.

    resources.useragent.wurflapi.wurfl_api_version = "1.1"
    resources.useragent.wurflapi.wurfl_lib_dir = APPLICATION_PATH "/../library/Wurfl/1.1"
    resources.useragent.wurflapi.wurfl_config_file = APPLICATION_PATH "/../library/Wurfl/1.1/resources/wurfl-config.php"

## Configuration Options

Please see the UserAgent options section for details on available options.

## Available Methods

`init`

  Called by the bootstrap object to initialize the resource. Calls the `getUserAgent()` method first (and returns the instance returned by that method); then, if the "view" resource is available, retrieves it and injects the `UserAgent` instance into the `UserAgent` view helper.

`getUserAgent`

  Instantiates a `Zend_Http_UserAgent` instance, using the configuration options provided in the application configuration.